| Home | Libraries | People | FAQ | More

#### basic_io_object::get_io_service

Get the io_service associated with the object.

    boost::asio::io_service & get_io_service();

This function may be used to obtain the io_service object that the I/O object uses to dispatch handlers for asynchronous operations.

###### Return Value

A reference to the io_service object that the I/O object will use to dispatch handlers. Ownership is not transferred to the caller.